import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import svgLoader from "vite-svg-loader";
import path from "path";

export default defineConfig({
  plugins: [
    vue(),
    svgLoader({
      defaultImport: "component",
    }),
  ],
  build: {
    outDir: "./static/vue",
    emptyOutDir: true,
  },
  resolve: {
    alias: {
      "@mynaIcon": path.resolve(__dirname, "./node_modules/@mynaui/icons/"),
      "@": path.resolve(__dirname, "./src/"),
    },
  },
});
